<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->String('profile_id');
            $table->String('refercode_id');
            $table->string('fullname');
            $table->string('email')->unique;
            $table->string('mobileno')->unique;
            $table->string('whatappno')->nullable();
            $table->string('roles')->nullable();
            $table->boolean('customer')->default(0);
            $table->boolean('partner')->default(0);
            $table->boolean('seller')->default(0);
            $table->boolean('service')->default(0);
            $table->boolean('admin')->default(0);
            $table->boolean('office')->default(0);
            $table->boolean('employee')->default(0);
            $table->string('password')->nullable();
            $table->timestamps(); 
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
